読者です 読者をやめる 読者になる 読者になる

コンパイラかく語りき

文系新卒プログラマーのメモ

nodebrew install でsyntax errorが出たら、nodebrew install-binaryを試す

Node.js

nodebrew install したら、syntax errorが出てインストールに失敗した。

 

hasen.hatenablog.com

 

Pythonのバージョンが違うのかなと思って調べてみたら、確かに3系を使っていた。

ところがpyenvで2系に戻してみても、install時にsyntax error。結果は変わらず。

 

調べてみたところ、nodebrewのissueがヒット。

 

github.com

 

nodebrew intall-binary

 

でインストールできました。

 

We recommend you to use install-binary command to install.

そもそもREADMEに↑のように、書いてありますね。

 

ちなみに、install-binary コマンドなら、python3系のままでもNodeがインストールできました。